Bug 1077062 - CDI decorators do not work on EJBs
Summary: CDI decorators do not work on EJBs
Status: CLOSED DEFERRED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CDI/Weld
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Stuart Douglas
QA Contact: Marek Schmidt
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-17 06:19 UTC by James Livingston
Modified: 2016-02-22 00:56 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-07-22 07:05:50 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker PRODMGT-770 Major Resolved CDI decorators do not work on EJBs 2014-07-22 21:40:02 UTC
JBoss Issue Tracker WELD-1110 Critical Resolved Should be able to Decorate EJB 2014-07-22 21:40:02 UTC

Description James Livingston 2014-03-17 06:19:15 UTC
CDI decorates do not currently work on EJBs.

The upstream solution involved a SPI change as part of Weld 2.0, so is not directly applicable.  It may or may not be possible to implement an acceptable solution in EAP 6.x

Comment 2 JBoss JIRA Server 2014-06-11 19:18:49 UTC
Jimmy Wilson <jawilson@redhat.com> updated the status of jira PRODMGT-770 to Closed

Comment 3 JBoss JIRA Server 2014-06-11 19:18:59 UTC
Jimmy Wilson <jawilson@redhat.com> updated the status of jira PRODMGT-770 to Reopened

Comment 4 JBoss JIRA Server 2014-06-11 19:19:19 UTC
Jimmy Wilson <jawilson@redhat.com> updated the status of jira PRODMGT-770 to Resolved

Comment 5 JBoss JIRA Server 2014-06-11 19:19:29 UTC
Jimmy Wilson <jawilson@redhat.com> updated the status of jira PRODMGT-770 to Closed

Comment 6 JBoss JIRA Server 2014-06-11 19:19:36 UTC
Jimmy Wilson <jawilson@redhat.com> updated the status of jira PRODMGT-770 to Reopened

Comment 7 JBoss JIRA Server 2014-06-11 19:19:48 UTC
Jimmy Wilson <jawilson@redhat.com> updated the status of jira PRODMGT-770 to Resolved

Comment 8 Jozef Hartinger 2014-07-22 07:05:50 UTC
Marking as deferred to match PRODMGT-770


Note You need to log in before you can comment on or make changes to this bug.